# Deprecated Properties

This page lists [solution_name]'s deprecated properties; for both active and deprecated properties, refer to [all properties](all-properties.md).


## [packagist](detectors/packagist.md)

| Property | Description |
| --- | --- |
| [detect.packagist.include.dev.dependencies](detectors/packagist.md#include-packagist-development-dependencies-deprecated) | <p>default: true</p> <p>Include Packagist Development Dependencies: Set this value to false if you would like to exclude your dev requires dependencies when ran. </p> <p>**DEPRECATED: This property is being removed in favor of detect.packagist.dependency.types.excluded. If the replacement property is set, this property is ignored. The default value of this property is used if both properties are not set. This property will be removed in 8.0.0.** </p> |


## [sbt](detectors/sbt.md)

| Property | Description |
| --- | --- |
| [detect.sbt.excluded.configurations](detectors/sbt.md#sbt-configurations-excluded-deprecated) | <p>SBT Configurations Excluded: The names of the sbt configurations to exclude. </p> <p>**DEPRECATED: This property is being removed. Sbt will no longer parse report files but instead will use a dependency resolution plugin. Please install the appropriate plugin in the future. This property will be removed in 8.0.0.** </p> |
| [detect.sbt.included.configurations](detectors/sbt.md#sbt-configurations-included-deprecated) | <p>SBT Configurations Included: The names of the sbt configurations to include. </p> <p>**DEPRECATED: This property is being removed. Sbt will no longer parse report files but instead will use a dependency resolution plugin. Please install the appropriate plugin in the future. This property will be removed in 8.0.0.** </p> |
| [detect.sbt.report.search.depth](detectors/sbt.md#sbt-report-search-depth-deprecated) | <p>default: 3</p> <p>SBT Report Search Depth: Depth the sbt detector will use to search for report files. </p> <p>**DEPRECATED: This property is being removed. Sbt will no longer parse report files but instead will use a dependency resolution plugin. Please install the appropriate plugin in the future. This property will be removed in 8.0.0.** </p> |


## [conan](detectors/conan.md)

| Property | Description |
| --- | --- |
| [detect.conan.include.build.dependencies](detectors/conan.md#include-conan-build-dependencies-deprecated) | <p>default: true</p> <p>Include Conan Build Dependencies: Set this value to false if you would like to exclude your project's build dependencies. </p> <p>**DEPRECATED: This property is being removed in favor of detect.conan.dependency.types.excluded. If the replacement property is set, this property is ignored. The default value of this property is used if both properties are not set. This property will be removed in 8.0.0.** </p> |


## [project](configuration/project.md)

| Property | Description |
| --- | --- |
| [detect.bom.aggregate.name](configuration/project.md#aggregate-bdio-file-name-deprecated) | <p>Aggregate BDIO File Name: If set, this will aggregate all the BOMs to create a single BDIO file with the filename provided. </p> <p>**DEPRECATED: This property is being removed. Use detect.bdio.file.name to control the name of the bdio file Detect generates. Currently detect.bdio.file.name has the same effects as this property. In the future, Detect will always operate in SUBPROJECT aggregation mode regardless of how it is configured; detect.bdio.file.name will only control the BDIO file name. This property will be removed in 8.0.0.** </p> |
| [detect.bom.aggregate.remediation.mode](configuration/project.md#bdio-aggregate-remediation-mode-deprecated) | <p>default: TRANSITIVE</p>  <p>Acceptable Values: DIRECT, TRANSITIVE, SUBPROJECT </p><p>BDIO Aggregate Remediation Mode: If an aggregate BDIO file is being generated (that is, property detect.bom.aggregate.name has been set) and this property is set to DIRECT, the aggregate BDIO file will exclude code location nodes from the top layer of the dependency tree to preserve the correct identification of direct dependencies in the resulting Black Duck BOM. When this property is set to TRANSITIVE (the default), component source information is preserved by including code location nodes at the top of the dependency tree, but all components will appear as TRANSITIVE in the BOM. SUBPROJECT aggregation mode provides both component source information and correct identification of direct and transitive dependencies by encoding code location nodes as subprojects in the graph. SUBPROJECT aggregation mode must only be used with Black Duck 2021.8.0 or later, and has no effect (is equivalent to TRANSITIVE mode) when detect.bdio2.enabled is set to false. </p> <p>**DEPRECATED: This property is being removed, along with the ability to set the aggregation mode. In the future, Detect will always operate in SUBPROJECT aggregation mode (regardless of how it is configured) to more accurately report the dependency graph. This property will be removed in 8.0.0.** </p> |


## [pnpm](detectors/pnpm.md)

| Property | Description |
| --- | --- |
| [detect.pnpm.dependency.types](detectors/pnpm.md#pnpm-dependency-types-deprecated) | <p>default: ALL</p>  <p>Acceptable Values: ALL, NONE, APP, DEV, OPTIONAL </p><p>pnpm Dependency Types: Set this value to indicate which pnpm dependency types for should include in the BOM. </p> <p>**DEPRECATED: This property is being removed in favor of detect.pnpm.dependency.types.excluded. If the replacement property is set, this property is ignored. The default value of this property is used if both properties are not set. This property will be removed in 8.0.0.** </p> |


## [docker](detectors/docker.md)

| Property | Description |
| --- | --- |
| [detect.docker.path.required](detectors/docker.md#run-without-docker-in-path-deprecated) | <p>default: false</p> <p>Run Without Docker in Path: If set to true, Detect will attempt to run the Docker Inspector only if it finds a docker client executable. </p> <p>**DEPRECATED: This property is being removed. A docker executable is only required when running the Docker tool in air gap mode. This property will be removed in 8.0.0.** </p> |


## [bazel](detectors/bazel.md)

| Property | Description |
| --- | --- |
| [detect.bazel.dependency.type](detectors/bazel.md#bazel-workspace-external-dependency-rule-deprecated) |  <p>Acceptable Values: ALL, NONE, MAVEN_JAR, MAVEN_INSTALL, HASKELL_CABAL_LIBRARY </p><p>Bazel workspace external dependency rule: The Bazel workspace rule(s) used to pull in external dependencies. If not set, Detect will attempt to determine the rule(s) from the contents of the WORKSPACE file. </p> <p>**DEPRECATED: This property is being removed. Please use property 'detect.bazel.workspace.rules' instead. This property will be removed in 8.0.0.** </p> |


## [dart](detectors/dart.md)

| Property | Description |
| --- | --- |
| [detect.pub.deps.exclude.dev](detectors/dart.md#detect-dart-pub-deps-exclude-dev-dependencies-deprecated) | <p>default: false</p> <p>Detect Dart Pub Deps Exclude Dev Dependencies: If true, the Dart Detector will pass the option --no-dev when running the command 'pub deps'. </p> <p>**DEPRECATED: This property is being removed in favor of detect.pub.dependency.types.excluded. If the replacement property is set, this property is ignored. The default value of this property is used if both properties are not set. This property will be removed in 8.0.0.** </p> |


## [general](configuration/general.md)

| Property | Description |
| --- | --- |
| [detect.detector.buildless](configuration/general.md#buildless-mode-deprecated) | <p>default: false</p> <p>Buildless Mode: If set to true, only Detector's capable of running without a build will be run. </p> <p>**DEPRECATED: This is property is being replaced by detect.accuracy.required.  To run in Buildless Mode, set detect.accuracy.required=NONE. This property will be removed in 8.0.0.** </p> |


## [pear](detectors/pear.md)

| Property | Description |
| --- | --- |
| [detect.pear.only.required.deps](detectors/pear.md#include-only-required-pear-dependencies-deprecated) | <p>default: false</p> <p>Include Only Required Pear Dependencies: Set to true if you would like to include only required packages. </p> <p>**DEPRECATED: This property is being removed in favor of detect.pear.dependency.types.excluded. If the replacement property is set, this property is ignored. The default value of this property is used if both properties are not set. This property will be removed in 8.0.0.** </p> |


## [maven](detectors/maven.md)

| Property | Description |
| --- | --- |
| [detect.maven.include.plugins](detectors/maven.md#maven-include-plugins-deprecated) | <p>default: false</p> <p>Maven Include Plugins: Whether or not detect will include the plugins section when parsing a pom.xml in buildless legacy mode.  </p> <p>**DEPRECATED: This property is being removed. The project inspector will be used to parse maven projects. Please configure the project inspector to include modules. This property will be removed in 8.0.0.** </p> |
| [detect.maven.buildless.legacy.mode](detectors/maven.md#maven-buildless-legacy-mode-deprecated) | <p>default: true</p> <p>Maven Buildless Legacy Mode: Legacy maven parsing supports plugins but the newer project inspector parser does not. Setting to false enables the project inspector for maven. </p> <p>**DEPRECATED: This property is being removed. The legacy maven buildless parser is being replaced by the project inspector. This property will be removed in 8.0.0.** </p> |


## [go](detectors/go.md)

| Property | Description |
| --- | --- |
| [detect.go.mod.enable.verification](detectors/go.md#go-mod-dependency-verification-deprecated) | <p>default: true</p> <p>Go Mod Dependency Verification: When enabled, Detect will use the results of 'go mod why' to filter out unused dependencies. Set to false if you have an empty BOM. </p> <p>**DEPRECATED: This property is being removed in favor of detect.go.mod.dependency.types.excluded. If the replacement property is set, this property is ignored. The default value of this property is used if both properties are not set. This property will be removed in 8.0.0.** </p> |


## [npm](detectors/npm.md)

| Property | Description |
| --- | --- |
| [detect.npm.include.dev.dependencies](detectors/npm.md#include-npm-development-dependencies-deprecated) | <p>default: true</p> <p>Include NPM Development Dependencies: Set this value to false if you would like to exclude your dev dependencies when ran. </p> <p>**DEPRECATED: This property is being removed in favor of detect.npm.dependency.types.excluded. If the replacement property is set, this property is ignored. The default value of this property is used if both properties are not set. This property will be removed in 8.0.0.** </p> |
| [detect.npm.include.peer.dependencies](detectors/npm.md#include-npm-peer-dependencies-deprecated) | <p>default: true</p> <p>Include NPM Peer Dependencies: Set this value to false if you would like to exclude your peer dependencies when ran. </p> <p>**DEPRECATED: This property is being removed in favor of detect.npm.dependency.types.excluded. If the replacement property is set, this property is ignored. The default value of this property is used if both properties are not set. This property will be removed in 8.0.0.** </p> |


## [blackduck-server](configuration/blackduck-server.md)

| Property | Description |
| --- | --- |
| [blackduck.legacy.upload.enabled](configuration/blackduck-server.md#use-legacy-bdio-upload-endpoints-in-black-duck-deprecated) | <p>default: true</p> <p>Use legacy BDIO upload endpoints in Black Duck: If set to true, Detect will upload the BDIO files to Black Duck using older REST APIs.  Set this to false if you want to use the intelligent persistent scan endpoints in Black Duck.  The intelligent persistent endpoints are a Black Duck feature to be used with a later Black Duck version. </p> <p>**DEPRECATED: This property is being removed as support for the legacy endpoint is dropped. This property will be removed in 8.0.0.** </p> |


## [nuget](detectors/nuget.md)

| Property | Description |
| --- | --- |
| [detect.nuget.inspector.version](detectors/nuget.md#nuget-inspector-version-deprecated) | <p>Nuget Inspector Version: Version of the Nuget Inspector. By default Detect will run the latest version that is compatible with the Detect version. </p> <p>**DEPRECATED: This property is being removed. The version of the NuGet inspector downloaded is always the latest. To continue to control which NuGet inspector is used, switch to Air Gap. This property will be removed in 8.0.0.** </p> |
| [detect.dotnet.path](detectors/nuget.md#dotnet-executable-deprecated) | <p>dotnet Executable: The path to the dotnet executable. </p> <p>**DEPRECATED: This property is being removed. The NuGet inspector is now a self contained executable and no longer requires dotnet to run. This property will be removed in 8.0.0.** </p> |


## [lerna](detectors/lerna.md)

| Property | Description |
| --- | --- |
| [detect.lerna.include.private](detectors/lerna.md#include-lerna-packages-defined-as-private46-deprecated) | <p>default: false</p> <p>Include Lerna Packages defined as private.: Lerna allows for private packages that do not get published. Set this to true to include all packages including private packages. </p> <p>**DEPRECATED: This property is being removed in favor of detect.lerna.package.types.excluded. If the replacement property is set, this property is ignored. The default value of this property is used if both properties are not set. This property will be removed in 8.0.0.** </p> |


## [ruby](detectors/ruby.md)

| Property | Description |
| --- | --- |
| [detect.ruby.include.runtime.dependencies](detectors/ruby.md#ruby-runtime-dependencies-deprecated) | <p>default: true</p> <p>Ruby Runtime Dependencies: If set to false, runtime dependencies will not be included when parsing *.gemspec files. </p> <p>**DEPRECATED: This property is being removed in favor of detect.ruby.dependency.types.excluded. If the replacement property is set, this property is ignored. The default value of this property is used if both properties are not set. This property will be removed in 8.0.0.** </p> |
| [detect.ruby.include.dev.dependencies](detectors/ruby.md#ruby-development-dependencies-deprecated) | <p>default: false</p> <p>Ruby Development Dependencies: If set to true, development dependencies will be included when parsing *.gemspec files. </p> <p>**DEPRECATED: This property is being removed in favor of detect.ruby.dependency.types.excluded. If the replacement property is set, this property is ignored. The default value of this property is used if both properties are not set. This property will be removed in 8.0.0.** </p> |


## [gradle](detectors/gradle.md)

| Property | Description |
| --- | --- |
| [detect.gradle.inspector.version](detectors/gradle.md#gradle-inspector-version-deprecated) | <p>Gradle Inspector Version: The version of the Gradle Inspector that Detect should use. By default, Detect will try to automatically determine the correct Gradle Inspector version. </p> <p>**DEPRECATED: This property is being removed because it no longer provides functionality. The gradle inspector library is no longer used to gather Gradle dependencies. The init script generated by Detect has all the necessary functionality. This property will be removed in 8.0.0.** </p> |
| [detect.gradle.include.unresolved.configurations](detectors/gradle.md#gradle-include-unresolved-configurations-deprecated) | <p>default: false</p> <p>Gradle Include Unresolved Configurations: When set to true, dependencies discovered from unresolved Gradle configurations will be included. It is set to false by default for a more accurate BOM. </p> <p>**DEPRECATED: This property is being removed in favor of detect.gradle.configuration.types.excluded. If the replacement property is set, this property is ignored. The default value of this property is used if both properties are not set. This property will be removed in 8.0.0.** </p> |


## [paths](configuration/paths.md)

| Property | Description |
| --- | --- |
| [detect.bdio2.enabled](configuration/paths.md#bdio-2-enabled-deprecated) | <p>default: true</p> <p>BDIO 2 Enabled: The version of BDIO files to generate. </p> <p>**DEPRECATED: This property is being removed, along with the option to generate BDIO in BDIO1 format. In the future, BDIO2 format will be the only option. This property will be removed in 8.0.0.** </p> |


## [yarn](detectors/yarn.md)

| Property | Description |
| --- | --- |
| [detect.yarn.prod.only](detectors/yarn.md#include-yarn-production-dependencies-only-deprecated) | <p>default: false</p> <p>Include Yarn Production Dependencies Only: Set this to true to only scan production dependencies. </p> <p>**DEPRECATED: This property is being removed in favor of detect.yarn.dependency.types.excluded. If the replacement property is set, this property is ignored. The default value of this property is used if both properties are not set. This property will be removed in 8.0.0.** </p> |

